<template>
    <header>
        <div class="l-content">
            <img src="../assets/logo.png"/>
            <el-button plain icon="el-icon-menu" size="mini" @click="collapseMenu"></el-button>
        </div>
        <div class="r-content">
            <el-dropdown trigger="hover" @command="handlecommand" v-show="isshow">
                <span class="el-dropdown-link" style="color: #fff">{{titleMsg}}</span>
                <el-dropdown-menu slot="dropdown">
                    <el-dropdown-item command="toCtrl">个人资料</el-dropdown-item>
                    <el-dropdown-item command="toLogout">退出登录</el-dropdown-item>
                </el-dropdown-menu>
            </el-dropdown>
            <div v-show="!isshow">
                <el-button type="primary" size="mini" @click="toLogin">登录</el-button>
                <el-button type="danger" size="mini" @click="toRegister">注册</el-button>
            </div>
        </div>
    </header>
</template>

<script>
export default {
  data () {
    return {
      // userImg: require('../assets/nouser.png'),
      titleMsg: '未知的用户',
      headMsg1: '注册',
      headMsg2: '登录',
      isshow: false
    }
  },
  created () {
    this.titleMsg = this.$store.state.token !== '' ? this.$store.state.userInfo.userName : '未知的用户'
    this.isshow = this.$store.state.token !== ''
  },
  methods: {
    // 控制左侧菜单是否折叠
    collapseMenu () {
      this.$store.commit('collapseMenu')
    },
    toLogin: function () {
      this.$router.push('/login')
    },
    toRegister: function () {
      this.$router.push('/register')
    },
    toLogout: function () {
      this.$store.commit('REMOVE_INFO')
      this.$router.push('/')
      this.$router.go(0)
    },
    toCtrl: function () {
      this.$router.push('/showviewinfo')
    },
    handlecommand: function (command) {
      if (command === 'toCtrl') {
        this.toCtrl()
      } else if (command === 'toLogout') {
        this.toLogout()
      }
    }
  }
}
</script>

<style scoped>
    header {
        display: flex;
        height: 100%;
        align-items: center;
        justify-content: space-between;
    }
    .l-content {
        display: flex;
        align-items: center;
    }
    .l-content .el-button {
        margin-right: 20px;
    }
    .r-content {
        color:"#000";
    }
    .r-content .user {
        width: 40px;
        height: 40px;
        border-radius: 50%;
    }
</style>

<style scoped>
.el-breadcrumb__item .el-breadcrumb__inner {
    color: #666666;
    font-weight: normal;
}
.el-breadcrumb__item:last-child .el-breadcrumb__inner {
    color: #ffffff;
}
</style>
